Summary: A CD/DVD-ROM image access library
Name: libmirage
Version: 3.2.9
Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://sourceforge.net/projects/cdemu
Source: http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: libsndfile-devel
BuildRequires: libsamplerate-devel
BuildRequires: glib2-devel
BuildRequires: gtk-doc
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: xz-devel
BuildRequires: gobject-introspection-devel
BuildRequires: vala
BuildRequires: intltool

Requires: shared-mime-info

%description
The libMirage library is a CD/DVD-ROM image access library - it aims to
provide abstraction of data stored in various optical disc image formats.
It is part of CDEmu, a CD/DVD-ROM device emulator for Linux.

%package devel
Summary: A CD/DVD-ROM image access library
Group: Development/Libraries
Requires: pkgconfig
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc

%description devel
The libMirage library is a CD/DVD-ROM image access library - it aims to
provide abstraction of data stored in various optical disc image formats.
It is part of CDEmu, a CD/DVD-ROM device emulator for Linux.

This package contains files needed to develop with libMirage.

%prep
%setup -q

%build
%cmake -DPOST_INSTALL_HOOKS=off
%cmake_build

%install
%cmake_install
%find_lang libmirage

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  /usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%posttrans
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%files -f libmirage.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING README ChangeLog
%{_libdir}/libmirage.so.*
%{_libdir}/libmirage-*
%{_datadir}/mime/packages/*
%{_libdir}/girepository-1.0/*
%{_datadir}/gir-1.0/*
%{_datadir}/vala/vapi/*

%files devel
%defattr(-, root, root, -)
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%doc %{_datadir}/gtk-doc/html/*

%changelog
* Tue Sep 17 2024 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.9-1
- Updated to 3.2.9

* Mon Jul  8 2024 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.8-1
- Updated to 3.2.8

* Wed Nov 29 2023 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.7-1
- Updated to 3.2.7

* Sat Dec 18 2021 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.6-1
- Updated to 3.2.6

* Sat Oct 23 2021 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.5-2
- Replace obsolete vala-tools build requirement with vala

* Sun Apr 18 2021 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.5-1
- Updated to 3.2.5

* Fri Sep 25 2020 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.4-3
- Use CMake build and install macros to properly support out-of-source builds on Fedora 33

* Sat May  2 2020 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.4-2
- Added build fix for gcc 10 under Fedora 32

* Mon Jan  6 2020 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.4-1
- Updated to 3.2.4

* Tue Nov  5 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.3-2
- Rebuild for Fedora 31

* Tue Aug 27 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.3-1
- Updated to 3.2.3

* Sun Mar 17 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.2-1
- Updated to 3.2.2

* Sat Mar  2 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.1-1
- Updated to 3.2.1

* Wed Nov 14 2018 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.0-2
- Added gcc as build dependency

* Sat Jul  7 2018 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.0-1
- Updated to 3.2.0

* Sat Jun 10 2017 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.1.0-1
- Updated to 3.1.0

* Sun Oct  9 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.5-1
- Updated to 3.0.5

* Sat Apr 23 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.4-2
- Fixed rpmlint errors and warnings

* Sat Nov 21 2015 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.4-1
- Updated to 3.0.4
- Updated mime scripts

* Sun Nov  9 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.3-1
- Updated to 3.0.3

* Sun Sep 28 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.2-1
- Updated to 3.0.2

* Fri Jul 25 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-1
- Updated to 3.0.1

* Sun Jun 29 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.0-1
- Updated to 3.0.0

* Thu Sep 19 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.1.1-1
- Updated to 2.1.1

* Fri Jun  7 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.1.0-1
- Updated to 2.1.0

* Mon Dec 24 2012 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.0.0-1
- RPM release for new version
